package com.kingdee.eas.hr.project;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WorkHoursReportEntryFactory
{
    private WorkHoursReportEntryFactory()
    {
    }
    public static com.kingdee.eas.hr.project.IWorkHoursReportEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursReportEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("22DCD041") ,com.kingdee.eas.hr.project.IWorkHoursReportEntry.class);
    }
    
    public static com.kingdee.eas.hr.project.IWorkHoursReportEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursReportEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("22DCD041") ,com.kingdee.eas.hr.project.IWorkHoursReportEntry.class, objectCtx);
    }
    public static com.kingdee.eas.hr.project.IWorkHoursReportEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursReportEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("22DCD041"));
    }
    public static com.kingdee.eas.hr.project.IWorkHoursReportEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursReportEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("22DCD041"));
    }
}